/* /Components/Layout/LayoutPreview.razor.rz.scp.css */
.layout-preview[b-oips1i016g] {
    font-size: 9px;
    border-radius: 4px;
    padding: 4px;
    cursor: pointer;
    border: 2px solid #c0c4cc;
    transition: border .3s linear;
}

    .layout-preview:hover[b-oips1i016g] {
        border: 2px solid #28a745;
    }

    .layout-preview.active[b-oips1i016g] {
        border: 2px solid #28a745;
    }

[b-oips1i016g] .layout {
    --bb-layout-height: 80px;
    --bb-layout-header-height: 16px;
    --bb-layout-footer-height: 12px;
    --bb-layout-sidebar-width: 30%;
    --bb-layout-banner-font-size: 9px;
    --bb-layout-title-color: #fff;
    border: 1px solid var(--bb-layout-header-background);
}

    [b-oips1i016g] .layout .layout-footer,
    [b-oips1i016g] .layout .layout-header {
        justify-content: center;
    }

    [b-oips1i016g] .layout .layout-menu {
        display: flex;
        align-items: center;
        justify-content: center;
    }
/* /Components/Layout/MainLayout.razor.rz.scp.css */
.layout-drawer[b-24k9i1s12k] {
    margin-inline-start: .5rem;
    height: 100%;
    display: flex;
    align-items: center;
    cursor: pointer;
}

.layout-drawer-body[b-24k9i1s12k]  .groupbox {
    margin-top: 1rem;
}

.layout-drawer-body[b-24k9i1s12k]  .btn-info {
    --bs-info: #0078d4;
    --bs-btn-hover-bg: #1260b0;
    margin-bottom: 1rem;
}

#blazor-error-ui[b-24k9i1s12k] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss[b-24k9i1s12k] {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}


/* /Components/Pages/Detail.razor.rz.scp.css */
/* CSS for ProductList component */
.title[b-27u7hhaobm]
{
    font-size: 1em;
    font-weight: bold;
}
.mainFirst[b-27u7hhaobm] {
    margin-top: 30px;/*1em*/
}
.mainFirst img[b-27u7hhaobm]
{
    width: 100%;
}
/* /Components/Pages/ProductHome.razor.rz.scp.css */
/* CSS for ProductHome component */
.input-group[b-ze85vv7io0] {
    border: 2px solid #ff6a00; /* 设置边框宽度和颜色 */
    border-radius: 8px; /* 可选：调整圆角 */
}
.input-group .btn[b-ze85vv7io0] {
    background-color: #ff6a00; /* 设置按钮背景颜色 */
    width: 120px; /* 按钮宽度 */
    border: none; /* 移除按钮边框 */
    color: white; /* 按钮文字颜色 */
}
.input-group .btn:hover[b-ze85vv7io0]
{
    background-color: #cc5500; /* 设置按钮背景颜色 */
}
.Img-h150[b-ze85vv7io0]
{
    height: 150px;
}
.font-size-12[b-ze85vv7io0] {
    font-size: 12px;
}
.my-btn-active[b-ze85vv7io0] {
    background-color: #0095e8 !important;
    border-color: #0095e8 !important;
    color: white !important;
}


/* /Components/Pages/ProductList.razor.rz.scp.css */
/* CSS for Detail component */
.title[b-lfsfo2m8uh]{
    font-size: 1rem;
    font-weight: bold;
}
.mainTop30[b-lfsfo2m8uh]
{
    margin-top: 30px;
}
.main-img-h150[b-lfsfo2m8uh]
{
    height: 150px;
}
/* /Components/Pages/Users.razor.rz.scp.css */
.page-user[b-rvh2sadx7r] {
    height: calc(100vh - 2rem - var(--bb-layout-footer-height) - var(--bb-layout-header-height) - var(--bb-tabs-item-height, 0));
    display: flex;
    flex-direction: column;
}

.user-demo-address[b-rvh2sadx7r] {
    margin-top: .25rem;
    font-size: 86%;
    color: #c0c4cc;
}

[b-rvh2sadx7r] .table-users {
    flex: 1;
    height: 1%;
    min-height: 0;
}

[b-rvh2sadx7r] .table-cell img {
    width: 46px;
    border-radius: var(--bs-border-radius);
}

[b-rvh2sadx7r] .table-cell .progress {
    height: 6px;
    margin-top: .5rem;
}
